# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family0}"), "[%p%s]+", "");print(t)}-%{version}

%global source_version 7.100
%global source_release 8
%global source_url     https://scripts.sil.org/Mondulkiri

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family0             Mondulkiri
%global fonts_summary0            Khmer Mondulkiri, a Khmer script font family suited for very small print
%global fonts_fonts0              Mondulkiri*.ttf
%global fonts_experimental_confs0 65-%{fonts_name0}.xml
%global fonts_description0        %{expand:
The Khmer Mondulkiri font family provides Unicode support for the Khmer script.
It is very light and well suited for very small print.}

%global fonts_family1             Busra
%global fonts_summary1            Khmer Busra, a Khmer script font family suited for normal text
%global fonts_fonts1              Busra*.ttf
%global fonts_experimental_confs1 65-%{fonts_name1}.xml
%global fonts_description1        %{expand:
The Khmer Busra font family provides Unicode support for the Khmer script. It
is probably the best SIL font family for Khmer normal text. The regular font
was formerly named “Khmer Mondulkiri Book” and the bold font was named “Khmer
Mondulkiri SemiBold”.}

%global fonts_meta_all0           true

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     documentation/*pdf

%auto_init
%auto_pkg

%sourcelist
https://scripts.sil.org/cms/scripts/render_download.php?format=file&media_id=%{archive_name}&filename=%{archive_name}.zip#/%{archive_name}.zip
65-%{fonts_name0}.xml
65-%{fonts_name1}.xml

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 7.100-5
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 7.100-3
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 7.100-1
✅ Initial packaging
